body, html{
    padding: 0;
    margin: 0;
    font-family: sans-serif;
    scroll-behavior: smooth;
}


body{
    background: url("../img/fond_page_2.png") no-repeat fixed;
    background-size: 100%;
    background-position-x: 0px;
    background-position-y: 300px;
}

.background-div{
    width: 100%;
    height: 100vh;
    background-color: white;
    position: absolute;
    z-index: -9999;
}

h2{
    color: #2B2D42;
}


.ecran{
    height: 1080px;
}

header{
    background-color: white;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    align-items: center;
    background: url("../img/fond-1.png") no-repeat;
    background-size:  cover;
    height: 550px;
}

.image-de-fond{
    width: 100vw;
    position: absolute;
    z-index: -1;
}

.photo-de-moi{
    width: 350px;
    position: relative;
}

.content-img{
    width: 400px;
    height: 400px;
    overflow: hidden;
    position: relative;
    top: 180px;
    left: -40px;
}

.content-titre{
    width: 30%;
    color: white;
    font-size: larger;
    text-align: center;
}


#btn-defil{
    position: relative;
    background-color: #ffffff;
    font-size: 4em;
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 150px;
    top: 200px;
    border-radius: 100%;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    -ms-border-radius: 100%;
    -o-border-radius: 100%;
    cursor: pointer;
    border: 2px solid #3160D8;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
    
}

#btn-defil:hover{
    background-color: rgb(0, 0,0,0.1);
}


/* SECTION A PROPOS*/
#a-propos{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

} 

.title-section{
    color: #2B2D42;
    text-align: center;
    font-size: 40px;
}

.sous-titre-a-propos{
    width: 400px;
    text-align: center;
    background-color: #2B2D42;
    padding: 20px;
    border-radius: 5px;
    margin: 40px auto;
    color: white;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.description{
    text-align: justify;
    width: 80%;
    padding: 30px;
    font-size: 20px;
    margin: 40px auto;
}

.btn{
    background-color: #3160D8;
    color: white;
    padding: 10px 20px;
    font-size: 20px;
    text-decoration: none;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
}

.content-btn{
    display: flex;
    align-items: center;
    justify-content: space-around;
    width: 80%;
}

.btn:hover{
    background-color: #2B2D42;
}

/* COMPETENCE */


#competences{
    margin-top: 100px;
    background-color: #2B2D42;
    padding: 120px;
    color: #F8F8F8;

    -webkit-box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25); 
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);

}

#competences h2 {
    margin-bottom: 200px;
    text-align: center;
    color: white;
    padding: 30px;
    font-size: 40px;
}

.content-progress{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.div-content-progress{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    width: 50%;
}

.progress-content{ 
    width: 100%;
    display: flex;
    flex-direction: column;
}

.progress-inside{
    width: 100%;
    height: 20px;
}

.color-progress{
    background-color: #F8F8F8;
    width: 90%;
    height: 20px;
}

.html{
    width: 100%;
    background-color: #3160D8;
    height: 20px;
}

.css{
    width: 87%;
    background-color: #3160D8;
    height: 20px;
}

.javascript{
    width: 75%;
    background-color: #3160D8;
    height: 20px;
}

.php{
    width: 75%;
    background-color: #3160D8;
    height: 20px;
}

.mysql{
    width: 60%;
    background-color: #3160D8;
    height: 20px;
}

.laravel{
    width: 75%;
    background-color: #3160D8;
    height: 20px;
}

.git{
    width: 85%;
    background-color: #3160D8;
    height: 20px;
}

.figma{
    width: 85%;
    background-color: #3160D8;
    height: 20px;
}

.linux{
    width: 95%;
    background-color: #3160D8;
    height: 20px;
}

.agile{
    width: 80%;
    background-color: #3160D8;
    height: 20px;
}



/* Mes formations */

.h2-parcours{
    text-align: center;
    margin: 150px 0px ;
    font-size: 40px;
}

#mes-formation{
    margin-top: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
}


#mes-formation article{
    background-color: #F8F8F8;
    padding: 15px;
    font-size: 25px;
    -webkit-box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25); 
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);

}

#mes-formation article h2{

    padding: 0 150px;
    color: #2B2D42;
}

.style-topic{
    margin: 15px 0 ;
    border: 1px solid #3160D8;
    padding: 10px;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
}

.style-topic:hover{
    background-color: #ffffff;
    border-color: #2B2D42;
}


/* MES PROJETS */

#mes-projets{
    margin-top: 150px;
}

#mes-projets h2 {
    text-align: center;
    font-size: 40px;
    color: #2B2D42;
}

.filtre ul{
    width: 100%;
    display: flex;
    list-style: none;
}

.filtre{
    text-align: left;
}

.btn-filtre{
    padding: 5px;
    border: 1px solid #2B2D42;
    cursor: pointer;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
    -webkit-box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25); 
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);

    
}

.btn-filtre:hover{
    background-color: #3160D8;
    color: white;
}

.active{
    background-color: #2B2D42;
    color: #ffffff;
}

#mes-projets article a img{
    width: 350px;
    height: 170px;
    border: 2px solid #3160D8;

    -webkit-box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25); 
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);

}

#mes-projets article div{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

#mes-projets article div div{
    margin: 35px; 
}

#mes-projets a {
    text-decoration: none;
}
#mes-projets a:hover {
    text-decoration: underline;
    text-decoration-color: white;
}


#mes-projets figcaption{
    background-color: #2B2D42;
    padding: 10px;
    text-align: center;
    color: white;
    -webkit-box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25); 
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);

    
}


/* Contact */


#contact{
    background-color: #2B2D42;
}

#contact h2{
    color: #ffffff;
    text-align: center;
    padding-top: 10px;
    font-size: 40px;

}

#map {
    width: 100%;
    height: 500PX;
    margin: 50px auto;
}

.info{
    display: flex;
    justify-content: space-around;
}

.contact-info, .download-info, .reseau-info{
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: left;
}

.email,.tel,.site-web{
    color: #F8F8F8;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
}

.email:hover,.tel:hover,.site-web:hover{
    color: #3160D8;
}
.info div h3{
    color: #F8F8F8;
}

.mini-barre-contact{
    width: 200px;
    border: 1px solid #3160D8;
}

.info div ul{
    list-style: none;
    color: #F8F8F8;
}

.reseau-info{
    display: flex;
    flex-direction: column;
}

.link-reseau{
    margin-top: 10px;
    font-size: 35px;
}


.linkedin{
    color: #F8F8F8;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
}
.linkedin:hover{
    color: #3160D8;    
}

.download-btn{
    display: block;
    color:#F8F8F8;
    margin-top: 20px;
    border: 1px solid #F8F8F8;
    padding: 5px;
    transition: 0.5s;
    text-decoration: none;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
    background-color: rgb(0, 0,0,0.2);
}

.download-btn:hover{
    background-color: #3160D8;
    color:#F8F8F8;
}

.credit{
    text-align: center;
    color: white;
    padding: 30px;
}


/* INTERET */

#interet{

    margin:150px 0px;

}

#interet h2{
    text-align: center;
    font-size: 40px;
    color: #2B2D42;
}

.content-interet{
    display: flex;
    justify-content: center;
    margin: auto;

}

.card-interet{
    width: 250px;
    height: 150px;
    background-color: #3160D8;
    color: #F8F8F8;
    -webkit-box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25); 
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    
}

.card-interet:nth-child(2n){
    
    color: #3160D8;
    background-color: #F8F8F8;
    -webkit-box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25); 
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

}

.card-interet .iconify{

    margin-top: 10px;
    font-size: 90px;

}

